<?php

/***
 * This software is intended for use with Oxdate Free Dating Software
 * http://www.oxdate.org/ and is licensed under The BSD license.
 * Full text of this license can be found at http://www.oxdate.org/license

 * =============================================================================
 * Copyright (c) 2016 Oxdate.org - All rights reserved.
 * =============================================================================

 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the
 * following conditions are met:

 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of the Oxdate Foundation nor the names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
***/


$dbo = BOL_QuestionService::getInstance()->findQuestionByName('googlemap_location');

if ( empty($dbo) )
{
    $cache = OW::getConfig()->getValue('googlemap_location', 'cache');
    $cache = unserialize($cache);
    
    $dbo = new BOL_Question();

    if ( !empty($cache['question']) )
    {
        $question = $cache['question'];

        $dbo->name = $question['name'];
        $dbo->sectionName = $question['sectionName'];
        $dbo->accountTypeName = $question['accountTypeName'];
        $dbo->type = $question['type'];
        $dbo->presentation = $question['presentation'];
        $dbo->required = $question['required'];
        $dbo->onJoin = $question['onJoin'];
        $dbo->onEdit = $question['onEdit'];
        $dbo->onSearch = $question['onSearch'];
        $dbo->onView = $question['onView'];
        $dbo->base = $question['base'];
        $dbo->removable = $question['removable'];
        $dbo->sortOrder = $question['sortOrder'];
        $dbo->columnCount = $question['columnCount'];
        $dbo->custom = $question['custom'];
    }
    else
    {
        $dbo = new BOL_Question();
        $dbo->accountTypeName = '';
        $dbo->removable = 0;
        $dbo->presentation = BOL_QuestionService::QUESTION_PRESENTATION_TEXT;
        $dbo->type = BOL_QuestionService::QUESTION_VALUE_TYPE_TEXT;
        $dbo->onEdit = 1;
        $dbo->onJoin = 1;
        $dbo->onSearch = 1;
        $dbo->onView = 1;
        $dbo->sectionName = 'location';
        $dbo->name = 'googlemap_location';
        $dbo->sortOrder = 0;
    }
    
    BOL_QuestionService::getInstance()->saveOrUpdateQuestion($dbo);

    $list = array();
    
    $accountTypeList = BOL_QuestionService::getInstance()->findAllAccountTypes();
    
    if ( !empty($cache['accountTypes']) )
    {
        foreach( $accountTypeList as $accauntType )
        {
            /* @var $accauntType BOL_QuestionAccountType */
            if ( $cache['accountTypes'][$accauntType] == $accauntType  )
            {
                $list[$accauntType->name] = $accauntType->name;
            }
        }
    }
    
    if ( empty($list) )
    {
        foreach( $accountTypeList as $accauntType )
        {
            /* @var $accauntType BOL_QuestionAccountType */
            $list[$accauntType->name] = $accauntType->name;
        }
    }
    
    BOL_QuestionService::getInstance()->addQuestionListToAccountTypeList(array('googlemap_location'), $list);
}

/* $event = new BASE_CLASS_EventCollector('ads.enabled_plugins');
OW::getEventManager()->trigger($event);

$pluginList = $event->getData(); */

$widgetService = BOL_ComponentAdminService::getInstance();

$widget = $widgetService->addWidget('GOOGLELOCATION_CMP_GroupsWidget', false);
$placeWidget = $widgetService->addWidgetToPlace($widget, 'group');
