<?php
/***
 * This software is intended for use with Oxdate Free Dating Software
 * http://www.oxdate.org/ and is licensed under The BSD license.
 * Full text of this license can be found at http://www.oxdate.org/license

 * =============================================================================
 * Copyright (c) 2016 Oxdate.org - All rights reserved.
 * =============================================================================

 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the
 * following conditions are met:

 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of the Oxdate Foundation nor the names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
***/
class PROTECTEDPHOTOS_CMP_EnterPassword extends OW_Component
{
    public function __construct( $albumId, $context )
    {
        parent::__construct();

        $service = PROTECTEDPHOTOS_BOL_Service::getInstance();

        if ( empty($albumId) || !$service->isAlbumProtected($albumId) )
        {
            $this->setVisible(false);

            return;
        }

        $form = new PROTECTEDPHOTOS_CLASS_EnterPasswordForm();

        $event = OW::getEventManager()->trigger(
            new OW_Event('photo.album_find', array(
                'albumId' => $albumId
            ))
        );
        $album = $event->getData();
        $form->getElement(PROTECTEDPHOTOS_CLASS_EnterPasswordForm::ELEMENT_PASSWORD)->setLabel(
            OW::getLanguage()->text('protectedphotos', 'enter_password_label', array(
                'albumName' => strip_tags($album['name'])
            ))
        );
        $form->getElement(PROTECTEDPHOTOS_CLASS_EnterPasswordForm::ELEMENT_ALBUM_ID)->setValue($albumId);
        $form->getElement(PROTECTEDPHOTOS_CLASS_EnterPasswordForm::ELEMENT_CONTEXT)->setValue($context);
        $this->addForm($form);

        $plugin = OW::getPluginManager()->getPlugin('protectedphotos');
        OW::getDocument()->addScript($plugin->getStaticJsUrl() . 'script.js');
    }
}
   